Summary:	Creates an initial ramdisk image for preloading modules.
Name:		mkbootdisk
Version:	1.2.5
Release:	2
License:	GPL
Group:		System Environment/Utilities
Source:		mkbootdisk-1.2.5.tar.gz
Patch0:		mkbootdisk-1.2.5-makefile.patch
Patch1:		mkbootdisk-1.2.5-message-gd-2.diff
ExclusiveOs:	Linux
Requires:	mkinitrd
BuildRoot:	%{_tmppath}/%{name}-%{release}-root

%description
The mkbootdisk program creates a standalone boot floppy disk for
booting the running system.  The created boot disk will look for the
root filesystem on the device mentioned in /etc/fstab and includes an
initial ramdisk image which will load any necessary SCSI modules for
the system.

%files
  %defattr(-,root,root)
  %attr(700,root,root) /sbin/mkbootdisk
  %doc %{_mandir}/man8/mkbootdisk.8.gz

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  CFLAGS="$RPM_OPT_FLAGS" make BUILDROOT=$RPM_BUILD_ROOT install
  gzip -9 $RPM_BUILD_ROOT/%{_mandir}/man8/mkbootdisk.8

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jul 25 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.2.5, Release 2
  - Bump release so APT recognizes that we are newer.

* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.2.5, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
